{% extends 'admin.html.twig' %}

{% block title %}Ajouter un nouveau article {{ parent() }} {% endblock %}

{% block body %}
<div class="row">


    <div class="col-12">
        <div class="block  table-block mb-4">
            <div class="block-heading">
                <h5>Ajouter un nouveau article </h5>


            </div>

            <div class="row">
                <div class="col-12">
                    {{ form_start(form) }}

                    <div class="form-row">
                        <div class="form-group col-md-4">
                            {{ form_label(form.titre, 'Titre', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.titre, {'attr': {'class': 'form-control' , 'placeholder' : 'Titre'
                            } }) }}
                            {{ form_errors(form.titre) }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form_label(form.image.file, 'Image ', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.image.file, {'attr': {'class': 'form-control' , 'placeholder' : 'Image'
                            } }) }}
                            {{ form_errors(form.image.file) }}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form_label(form.published, "Status de l'article", {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.published, {'attr': {'class': 'form-control' , 'placeholder' : 'Titre'
                            } }) }}
                            {{ form_errors(form.published) }}
                        </div>
                        <div class="form-group col-md-12">
                            {{ form_label(form.libelle, 'Description', {'label_attr': {'class': ''}}) }}
                            {{ form_widget(form.libelle, {'attr': {'class': 'form-control editor' , 'placeholder' :
                            'Description' } }) }}
                            {{ form_errors(form.libelle) }}
                        </div>
                    </div>
                    <hr>
                    <div class="btn-group record_actions">
                        {% if article.id == null %}
                        <a class="btn btn-inline btn-info" href="{{path('article_index')}}">
                            <i class="fa fa-chevron-circle-left"></i> Retour
                        </a>
                        {% else %}
                        <a class="btn btn-inline btn-info"
                            href="{{ path('article_index' , {id:article.id} ) }}">
                            <i class="fa fa-chevron-circle-left"></i> Retour
                        </a>
                        {% endif %}

                        <button class="btn btn-primary" type="submit">Valider</button>
                    </div>
                    {{ form_end(form) }}

                </div>

            </div>

        </div>
    </div>

</div>
{% endblock %}